accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher Tubbs (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ACCUMULO-2726) Maintain binary backwards compat for non-deprecated API components for 1.5 -> 1.6
Date Mon, 28 Apr 2014 19:06:18 GMT

     [ https://issues.apache.org/jira/browse/ACCUMULO-2726?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christopher Tubbs updated ACCUMULO-2726:
----------------------------------------

    Affects Version/s:     (was: 1.6.0)

> Maintain binary backwards compat for non-deprecated API components for 1.5 -> 1.6
> ---------------------------------------------------------------------------------
>
>                 Key: ACCUMULO-2726
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-2726
>             Project: Accumulo
>          Issue Type: Task
>          Components: client
>            Reporter: Sean Busbey
>            Assignee: Sean Busbey
>            Priority: Critical
>             Fix For: 1.6.0
>
>         Attachments: ACCUMULO-2726.1.patch.txt, ACCUMULO-2726.2.patch.txt, ACCUMULO-2726.3.patch.txt
>
>
> a JAPI compliane scan comparing 1.5.0 to 1.6.0-SNAPSHOT showed several incompatibilities
in classes that probably never should have been in the public API
> * client.admin.SecurityOperationsImpl
> * client.admin.TableOperationsImpl
> * client.admin.InstanceOparationsImpl
> * client.mock.MockShell
> * client.mock.MockTabletLocator
> These changes are due to refactorings outside of the public API leaking into classes
within the client that handle implementation.
> Since we're likely to break compatibility in the release after 1.6.0, try not to do it
this time. Make sure to deprecate all these things, just in case there's a 1.7.0



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message